#include:
#  - template: Auto-DevOps.gitlab-ci.yml

variables:
  CI_DEBUG_TRACE: 
    value: ''
    description: "Verbose output of all of GitLab's output, including git cloning information."
  CI_SCRIPT_TRACE: 
    value: 'false'
    description: "Verbose output of CI script."
  TRACE: 
    value: ''
    description: "Set to 1 to output helm trace commands." 
  DIFFREVLEVEL_MRLABELLING:
    value: 'true'
    description: "Change to 'true' to passively attempt to update MR LABELs.  You must also be providing MR-UPDATE-TOKEN somewhere in the pipeline."
  DIFFTARGETREF:
    value: ''
    description: "Override comparison diff branch when running on default branch - should rarely be needed."
  THRESHOLD_HIGH: '760'
  REVISION_FACTOR_TO_MINS_CONVERSION_PERCENT: '10'

workflow:
  rules:
    - exists:
        - '{**.csproj,**.fsproj}' #trigger autodevops for .NET Projects

include:
  - project: 'guided-explorations/code-metrics/git-diff-revision-activity-metrics'
    file: '/ci-cd-plugin-extension-git-diff-revision-activity-metrics-gitlab-ci.yml'

diff_revision_analytics:
  stage: test
  extends: .diff-revision-stats

another_job:
  stage: .post
  image: alpine:latest
  script:
    - |
      echo "Check it out we have Revision Factor: $REVISION_FACTOR and Revision Level: $REVISION_LEVEL and Est Review Minutes: $REVISION_REVIEW_EST_MINS in other jobs."
